routes/web.php
<?php

use App\Http\Controllers\Admin\CompanyController;
use App\Http\Controllers\Admin\EmployeeController;
use App\Http\Controllers\AuthController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [AuthController::class, 'home'])->name('home');
Route::get('/dashboard', [AuthController::class, 'dashboard'])->name('dashboard.index');

Route::get('/login', [AuthController::class, 'index'])->name('login.index');
Route::post('/login', [AuthController::class, 'login'])->name('login');
Route::get('/logout', [AuthController::class, 'logout'])->name('logout');

Route::group(['middleware' => ['auth'], 'prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::resource('companies', CompanyController::class)->except('show');
    Route::resource('employees', EmployeeController::class)->except('show');
});

app/Models/Company.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Company extends Model
{
    use HasFactory;
    protected $fillable = [
        'name',
        'email',
        'logo',
        'website',
    ];
    protected $table = 'companies';
    public function employees(){
       return $this->hasMany(Employee::class);
    }
}

app/Http/Controllers/Admin/CompanyController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Company;
use App\Http\Requests\StoreCompanyRequest;
use App\Http\Requests\UpdateCompanyRequest;
use App\Repositories\CompanyRepository;
use Illuminate\Pagination\Paginator;

class CompanyController extends Controller
{
    private $repository;
    public function __construct(CompanyRepository $repository)
    {
        $this->repository = $repository;
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        Paginator::useBootstrap();
        $companies = Company::paginate('10');
        return view('dashboard.company.index', compact('companies'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('dashboard.company.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\StoreCompanyRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreCompanyRequest $request)
    {
        $this->repository->create($request->validated());
        return redirect()->route('admin.companies.index')->withSuccess('Created successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Company  $company
     * @return \Illuminate\Http\Response
     */


    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Company  $company
     * @return \Illuminate\Http\Response
     */
    public function edit(Company $company)
    {
        return view('dashboard.company.edit', compact('company'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdateCompanyRequest  $request
     * @param  \App\Models\Company  $company
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateCompanyRequest $request, Company $company)
    {
        $this->repository->update($company->id, $request->validated());

        return redirect()->route('admin.companies.index')->withSuccess('Updated successfully.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Company  $company
     * @return \Illuminate\Http\Response
     */
    public function destroy(Company $company)
    {
        $this->repository->delete($company->id);
        return 'Deleted successfully.';
    }
}

resources/views/dashboard/company/create.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="card mb-4">
            <form action="{{ route('admin.companies.store') }}" method="post" class="p-4" enctype="multipart/form-data">
                @csrf
                @method('post')
                <h5 class="card-header">Add New Company </h5>
                <div class="card-body demo-vertical-spacing demo-only-element">
                    <div class="input-group">
                        <img class="input-group-text" width="55px"
                            src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAAXNSR0IArs4c6QAAAP1JREFUSEvtltENwjAMRF8ngA1gBSaATWATYANGYBNgA0aASUCHMLKqRCLFNCA1Un+syC++nN00VFpNJS4DuDfl21KvgDUwDT7BBdgCe8vrwQvgEAxsp5sBZwU9ePOsVnGdLnJJRcsrThYc7fbbX4FThjsB8oStHbAExi6m63rIChRXnDOcB3tveF98BM4ZTu1hrXEE5sDVtwuguL5OFXtwznAGbsvvqy+WegCnhsrXpbbWENwbycDecNqjO+9srmrtpJNrgKjaidM5NUC0bxQ1QKJ+FMXt1DvYGykCbvleY/QnHgI5I0VUrPZT1cmnTwTg7RzRL40BnFWgmtR3GzFkH/kaNR0AAAAASUVORK5CYII=" />
                        <input type="text" required class="form-control {{ $errors->has('name') ? ' is-invalid' : '' }}"
                            placeholder="name" aria-label="name" value="{{ old('name') }}" name='name' />
                        @if ($errors->has('name'))
                            <span class="invalid-feedback text-right" style="display: block;" role="alert">
                                <strong>{{ $errors->first('name') }}</strong>
                            </span>
                        @endif

                    </div>

                    <div class="input-group">

                        <img class="input-group-text" width="55px"
                            src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAAXNSR0IArs4c6QAAAUNJREFUSEvN1+FtwjAQhuGXDToCTNBuUDoBYgQmaDdomQBGKBswAiPABHSDlg2qTyLIoPh856Sk/oMQdh5/F8cxIwZqo4FcbuExMAMeHBP6ATaAPsMthYUeg1f4AubAPjjuKvEbsIpe4Jz4JYqniT+A9wpYQ1TuEG7BJ2AN7M73XBN7NCYWwi14CQhrmhbcd6EibtyCVTqlTZu+P/eBW7BW6zaYuOleTG7BekSUWhdRmV9vSl9ahybuWdUq77SkZH7P4h640rwMa8XvAWsG2uEmaYIUrt25vBVZAJ9N5xTWAtL9tDYJL9LWLwur81/hB+ApV+p0h+ozuVA9FVevz9xBoK/kragSWieQrngWLcFd7rmJeuAavIh64QjuQiOwB3ejUdjCQ2gN3IaH0Vq4wbW3q+lcFj5b/5t/El1eAqGxgyX+BeC9Ux+v9IFjAAAAAElFTkSuQmCC" />
                        <input type="email" required class="form-control {{ $errors->has('email') ? ' is-invalid' : '' }}"
                            placeholder="email" aria-label="email" name="email" value="{{ old('email') }}" />
                        @if ($errors->has('email'))
                            <span class="invalid-feedback text-right" style="display: block;" role="alert">
                                <strong>{{ $errors->first('email') }}</strong>
                            </span>
                        @endif
                    </div>

                    <div class="input-group">

                        <img class="input-group-text" width="55px"
                            src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAAXNSR0IArs4c6QAAAUNJREFUSEvN1+FtwjAQhuGXDToCTNBuUDoBYgQmaDdomQBGKBswAiPABHSDlg2qTyLIoPh856Sk/oMQdh5/F8cxIwZqo4FcbuExMAMeHBP6ATaAPsMthYUeg1f4AubAPjjuKvEbsIpe4Jz4JYqniT+A9wpYQ1TuEG7BJ2AN7M73XBN7NCYWwi14CQhrmhbcd6EibtyCVTqlTZu+P/eBW7BW6zaYuOleTG7BekSUWhdRmV9vSl9ahybuWdUq77SkZH7P4h640rwMa8XvAWsG2uEmaYIUrt25vBVZAJ9N5xTWAtL9tDYJL9LWLwur81/hB+ApV+p0h+ozuVA9FVevz9xBoK/kragSWieQrngWLcFd7rmJeuAavIh64QjuQiOwB3ejUdjCQ2gN3IaH0Vq4wbW3q+lcFj5b/5t/El1eAqGxgyX+BeC9Ux+v9IFjAAAAAElFTkSuQmCC" />
                        <input type="text" required
                            class="form-control {{ $errors->has('website') ? ' is-invalid' : '' }}" placeholder="website"
                            aria-label="website" name="website" value="{{ old('website') }}" />
                        @if ($errors->has('website'))
                            <span class="invalid-feedback text-right" style="display: block;" role="alert">
                                <strong>{{ $errors->first('website') }}</strong>
                            </span>
                        @endif
                    </div>

                    <div class="input-group">
                        <img src="{{ asset('upload.png') }}" id="output" class="rounded my-2" alt=""
                            width="150px" height="150px">
                        <label class="form-label w-100 " for="basic-default-password12">logo</label><br>
                        <img class="input-group-text" width="55px"
                            src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAAXNSR0IArs4c6QAAAPVJREFUSEvtl40RwUAQhb90oAM6QAXogA6UoAQ6oQI6QAdKoAJKMC9zMXETdzkuMsztTCaTZPPe7mb/ktGSZC3x4iKeAv0Iht2ADaDzQ6qIB8AW6EUgLSBOwNBHLKUYntp2i1jYudged4Drm54egbH1rq735t4EOLwiLiuG8idiRSyF+j+TS41nZLrVV76xmoOOuanDM7ADFk3Xsa/uG2sgidiOQAr1U0Q+mU6/n1wXYO1zI+C5sNRUKjeQcqhnpvMEYNdXda0+S2BVHypMs2rLbGrZc9axzNZ00dzshvng1fYSFwha6LVjxxJncsUi8eK09u90Bw1yTB+z/MtBAAAAAElFTkSuQmCC" />
                        <input type="file"
                            onchange="document.getElementById('output').src = window.URL.createObjectURL(this.files[0])"
                            class="form-control" placeholder="logo" aria-label="logo" name="logo" value="" />
                    </div>
                    <button class="btn btn-primary btn-style " type="submit">Add</button>
                </div>
            </form>
        </div>
    </div>
@endsection

resources/views/dashboard/company/edit.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="card mb-4">
            <form action="{{ route('admin.companies.update', $company->id) }}" method="post" class="p-4"
                enctype="multipart/form-data">
                @csrf
                @method('put')
                <h5 class="card-header">Update Company Information</h5>
                <div class="card-body demo-vertical-spacing demo-only-element">
                    <div class="input-group">
                        <img class="input-group-text" width="55px"
                            src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAAXNSR0IArs4c6QAAAcxJREFUSEvlle0xBEEQhp+LgAwQASJABmRABIgAESACIZABIkAEhEAE1KNmrub2ZmZ7+eGHrrrarduefvt9pz9m/JHN/giXnwLvApsp6WfgcSqBqcD7wA2wOgB6B46Au2gCU4CvgOORwKeAfqMWBVba+xRNWQ3+AMhUFU6AnfR9L33rgkeBvUfv9AXYakR8A9YAfbfHKEeBP1OgnpTnwFnyG4076gCUMvdkjPp95xYBXgdeE5ODTuUeporXdQNQ+qZFgD1sEa0A16mQagFz1X9U2m3JPwpctlJN7lLmXnLzBKLADgzbJ08r363e3E650ntVv8A6Cuwh79rJlMGH8tnf3nP3bvOhKcD5jMPCoZFZytyEQhPrN8BjsyH0PcpYdkrsszW5ZO7Pe/b5q5FpUbmNlHaKKb3byuKrWo9xbQXaoy02KmGvZ+uuyhawQZ6KIPamxTNWsVa+xVeuTxfGUrIt4LyNZChz+3aKeeY2HahuqxpwuWXCi72Slcwv0/8XgHHnVgOWnUs9PIU6UmTlHC6O1S5w3r1LWU7ROvk2d/SQcVlUvRUYzaG864UiGwJPWuYB9Ga8IbADo5zBzQEQANWlGS86MoM4cbf/B/wF5GpcH3yxaxIAAAAASUVORK5CYII=" />
                        <input type="text" required class="form-control {{ $errors->has('name') ? ' is-invalid' : '' }}"
                            placeholder="name" aria-label="name" value="{{ $company->name }}" name='name' />
                        @if ($errors->has('name'))
                            <span class="invalid-feedback text-right" style="display: block;" role="alert">
                                <strong>{{ $errors->first('name') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="input-group">

                        <img class="input-group-text" width="55px"
                            src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAAXNSR0IArs4c6QAAAMlJREFUSEvtlkERwjAQRV8d4KCgAJwUBwwOcAAOigRwAApAAhLACbOHXGgmGzYp5bA99+f1b392fsNETzMRlxzwDOiAueEjr8AjptPAAr0BKwM0SLbA6VOvgXdAXwAV6RNYfAs+APtCsMgHBjXHDrZO3UetLhAPl4crdwJ+nfw6DbLytwvkDFyAI9AmIl491eFAqTabX4IFGBynymB1x6MtkBpl7xWrxlrnknp7B5a51iLvmeqtnCPwtbHQy/83FfoCo2mpNurRwG/UcSUfMoEwVwAAAABJRU5ErkJggg==" />
                        <input type="email" class="form-control {{ $errors->has('email') ? ' is-invalid' : '' }}"
                            placeholder="email" aria-label="email" name="email" value="{{ $company->email }}" />
                        @if ($errors->has('email'))
                            <span class="invalid-feedback text-right" style="display: block;" role="alert">
                                <strong>{{ $errors->first('email') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="input-group">
                        <img class="input-group-text" width="55px"
                            src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAAXNSR0IArs4c6QAAAWxJREFUSEvtluExBEEQRt9FQAZk4GQgA0SACI4IEAEiIANE4EIgAzIgAupdTauptTdr76Zu/2z/292Zft1fd8/shIFsMhCXEbwx5ZtSnwKXwG7lCN6Ba+Ah/ObgA+ClMrDpbh949WUOvkrZ+t7oapoqhl85S8F+rAVvJlQEG9QTcAZ8rpj6NnAPHGX7TaYT7Hqb4jjq0iOAKfDY0qSd4GfgMIHM+CLvyI4AnIwbwIy13Fcn2KY7Tw6C4ygofclcc5ItMOBb4Pu/zRXd7ohZ66200VFQekuQm3OvtEqsfaXaztNzb7D7lEwHe5n0wsOpwQkNad8A3+VNuRI4MlOyWZam3akyMaN+ukslapZjLbDObBwDCOkDoLT2xO+R2CCvDdafdRQQ0iutAS2OwiVWBRx1N3PNTLsOmWrgQnKtn0Zw8XbqK2dp/eJiSDfen0tisB+BmFMj2qmZLvCRrsPWX5/KrLK78b96Y3IPJvUPSg9eH6QClw8AAAAASUVORK5CYII=" />
                        <input type="text" class="form-control {{ $errors->has('website') ? ' is-invalid' : '' }}"
                            placeholder="website" aria-label="website" value="{{ $company->website }}" name="website">
                        @if ($errors->has('website'))
                            <span class="invalid-feedback text-right" style="display: block;" role="alert">
                                <strong>{{ $errors->first('website') }}</strong>
                            </span>
                        @endif
                    </div>
                    <div class="input-group">
                        <img src="@if (substr($company->logo, 0, 8) != 'https://') {{ asset('storage/' . $company->logo) }} @else {{ asset($company->logo) }} @endif"
                            id="output" class="rounded my-2" alt="" width="150px" height="150px">
                        <label class="form-label w-100 " for="basic-default-password12">logo</label><br>
                        <img class="input-group-text" width="55px"
                            src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAAXNSR0IArs4c6QAAAPVJREFUSEvtl40RwUAQhb90oAM6QAXogA6UoAQ6oQI6QAdKoAJKMC9zMXETdzkuMsztTCaTZPPe7mb/ktGSZC3x4iKeAv0Iht2ADaDzQ6qIB8AW6EUgLSBOwNBHLKUYntp2i1jYudged4Drm54egbH1rq735t4EOLwiLiuG8idiRSyF+j+TS41nZLrVV76xmoOOuanDM7ADFk3Xsa/uG2sgidiOQAr1U0Q+mU6/n1wXYO1zI+C5sNRUKjeQcqhnpvMEYNdXda0+S2BVHypMs2rLbGrZc9axzNZ00dzshvng1fYSFwha6LVjxxJncsUi8eK09u90Bw1yTB+z/MtBAAAAAElFTkSuQmCC" />
                        <input type="file"
                            onchange="document.getElementById('output').src = window.URL.createObjectURL(this.files[0])"
                            class="form-control" placeholder="logo" aria-label="logo" name="logo" value="" />
                    </div>
                    <button class="btn btn-primary btn-style" type="submit">Update</button>
                </div>
            </form>
        </div>
    </div>
@endsection

resources/views/dashboard/company/index.blade.php
@extends('layouts.app')
@section('content')
    <div class="container-xxl flex-grow-1 container-p-y">
        <h4 class="fw-bold py-3 mb-4"><span class="text-muted fw-light">{{ __('cms.tables') }} /</span>
            {{ __('cms.company') }}</h4>

        <!-- Basic Bootstrap Table -->

        <div class="card h-100">
            <div class="row">
                <div class="col-lg-10 col-12">
                    <h5 class="card-header">{{ __('cms.company') }} {{ __('cms.table') }} </h5>
                </div>
                <div class="col-lg-2 col-12 p-3">
                    <a href="{{ route('admin.companies.create') }}" class="btn btn-primary btn-block w-100 ">
                        Add company
                    </a>
                </div>
            </div>
            <div class="table-responsive text-nowrap h-100">

                <table class="table">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Logo</th>
                            <th>Website</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody class="table-border-bottom-1 ">
                        @include('dashboard.company.table')
                    </tbody>
                </table>
                <div class="row align-items-center text-center mt-5">
                    <div class="col-12 col-lg-4 "></div>
                    <div class="col-12 col-lg-4 text-center ">
                        <div class="pageination text-center ">
                            {!! $companies->links() !!}
                        </div>
                    </div>
                    <div class="col-12 col-lg-4 "></div>
                </div>
            </div>
        </div>
        <hr class="my-5" />
    </div>
@endsection

resources/views/dashboard/company/table.blade.php
@foreach ($companies as $item)
    <tr>
        <td>{{ $item->id }}</td>
        <td>{{ $item->name }}</td>
        <td>{{ $item->email }}</td>
        <td><img src="@if (substr($item->logo, 0, 8) != 'https://') {{ asset('storage/' . $item->logo) }} @else {{ $item->logo }} @endif "
                class="rounded" width="100px" width="100px" alt="">
        </td>
        <td>{{ $item->website }}</td>
        <td>
            <div class="dropdown">
                <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                    <i class="bx bx-dots-vertical-rounded"></i>
                </button>
                <div class="dropdown-menu">
                    <a class="dropdown-item" href="{{ route('admin.companies.edit', $item->id) }}"><i
                            class="bx bx-edit-alt me-1"></i>
                        Edit</a>
                    <a class="dropdown-item deleteItem" data-url='{{ route('admin.companies.destroy', $item->id) }}'
                        href="#"><i class="bx bx-trash me-1"></i>
                        Delete</a>
                </div>

            </div>
        </td>
    </tr>
@endforeach